Bug 243999 - haldaemon fails to start
haldaemon fails to start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 05:39 EDT by Johannes Russek
Modified: 2013-03-05 22:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:34:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johannes Russek 2007-06-13 05:39:58 EDT
Description of problem:

during bootup haldaemon startup gets marked as "FAILED", though the components
seem to be up and running afterwards.
when starting hald in the foreground, the following appears:


7223: released lock on /var/lib/hal/acl-list
Run started hald-addon-cpufreq (0) (0) 
!  full path is '/usr/libexec/hald-addon-cpufreq', program_dir is '/usr/libexec'
/usr/libexec/hal-acl-tool exited
Run started hald-addon-acpi (0) (0) 
!  full path is '/usr/libexec/hald-addon-acpi', program_dir is '/usr/libexec'
Run started hal-acl-tool (10000) (0) 
!  full path is '/usr/libexec/hal-acl-tool', program_dir is '/usr/libexec'
*** glibc detected *** hald-addon-acpi: listening on acpi kernel interface
/proc/acpi/event: double free or corruption (out): 0x00007fffe84d1e60 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3859670412]
/lib64/libc.so.6(cfree+0x8c)[0x3859673b1c]
/lib64/libdbus-1.so.3(dbus_error_free+0x20)[0x3861c0f2d0]
hald-addon-acpi: listening on acpi kernel interface /proc/acpi/event[0x4013f7]
hald-addon-acpi: listening on acpi kernel interface /proc/acpi/event[0x4018dd]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x385961daa4]
hald-addon-acpi: listening on acpi kernel interface /proc/acpi/event[0x401259]
======= Memory map: ========

no memory map is printed out due to a permission denied when trying to access
/proc/self/maps

also the strace shows some weird iteration of all filedescriptors (0 to 1023)
with fstat (where most of them fails with EBADF..). but i kind of think i've
seen the same behaviour with some other program, so i guess this might be some
library issue or something.


Version-Release number of selected component (if applicable):

hal-0.5.9-8.fc7
[root@localhost ~]# uname -a
Linux localhost.localdomain 2.6.21-1.3219.fc7 #1 SMP Thu Jun 7 15:39:17 EDT 2007
x86_64 x86_64 x86_64 GNU/Linux
this is a fresh f7 install, just with the kernel being upgraded from kuji
because of a kernel bug.
machine is an asus a4000 laptop.


How reproducible:

everytime trying to start hald, either with service haldaemon start or just by
starting it on the command line

Steps to Reproduce:
see above
  
Actual results:

it seems like most of the acpi handling is broken this way, f.e. i see the
haldaemon receiving the lidswitch event, but nothing happens afterwards.

Expected results:

acpi support :)

Additional info:
Comment 1 Bug Zapper 2008-05-14 09:03:10 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Richard Hughes 2008-05-30 07:29:56 EDT
Is this still an issue with F9? Thanks.
Comment 3 Bug Zapper 2008-06-16 21:34:26 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.